backups:
  default-backup:
    name: my-backup
    strategy: full_incremental
    full:
      schedule: "0 3 * * 0"
    incremental:
      schedule: "0 3 * * 1-6"
    successfulJobsHistoryLimit: 1
    failedJobsHistoryLimit: 3
    backoffLimit: 2
    backupRetention: 24h
    logRetention: 24h
    size: 5Gi

backuprestores:
  default-restore:
    name: my-restore
    backup: my-backup
    repo: cb-example-2020-11-12T19_00_03
    start:
    # Pick either int or str
      # int: 1
      str: oldest
    end:
      # int: 1
      str: latest
    backoffLimit: 2
    logRetention: 24h

# RBAC users to create
# (requires couchbase server 6.5.0 and higher)
users:
  developer:
    # password to use for user authentication
    # (alternatively use authSecret)
    password: password
    # optional secret to use containing user password
    authSecret:
    # domain of user authentication
    authDomain: local
    # roles attributed to group
    roles:
      - name: bucket_admin
        bucket: default